Bug 1904825 - Set vSphere hostname from guestinfo before NM starts
Summary: Set vSphere hostname from guestinfo before NM starts
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.6
Hardware: All
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Vadim Rutkovsky
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1904824
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-06 18:04 UTC by Vadim Rutkovsky
Modified: 2021-03-01 03:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: hostname from vSphere metadata was not set before NetworkManager started Consequence: due to a change in NetworkManager priorities this metadata was ignored when hostname was set Fix: hostname is now being set by `vsphere-hostname.service` before NM starts, if this information is available in vSphere metadata Result: vSphere node hostname is correct
Clone Of: 1904824
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2289 0 None closed Bug 1904825: [release-4.6] templates: Set vSphere hostname from guestinfo before NM starts 2021-02-18 12:36:32 UTC

Description Vadim Rutkovsky 2020-12-06 18:04:35 UTC
+++ This bug was initially created as a clone of Bug #1904824 +++

Description of problem:
In Fedora 33, a change was introduced to set the hostname to "fedora" as a fallback instead of the default "localhost", so the current script does not work in OKD as NM will assign the fallback hostname.

This change makes it so the hostname is set to vSphere's
guestinfo.hostname if that's defined, before NetworkManager is started.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Vadim Rutkovsky on 2020-12-06 18:03:40 UTC ---

Fixed by https://github.com/openshift/machine-config-operator/pull/2282


Note You need to log in before you can comment on or make changes to this bug.